<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Sequence..::.Get Method (UInt32, Boolean)
Sequence Class See Also Send Feedback

Return the next available element in the sequence and change the sequence value by Delta.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public long Get(
    	uint Delta,
    	bool NoSync
    )

Visual Basic (Declaration)

    Public Function Get ( _
    	Delta As UInteger, _
    	NoSync As Boolean _
    ) As Long

Visual C++

    public:
    long long Get(
    	unsigned int Delta,
    	bool NoSync
    )

#### Parameters

Delta
  Type: System..::.UInt32
  The amount by which to increment the sequence value. Must be greater than 0.

NoSync
  Type: System..::.Boolean
  If true, and if the operation is implicitly transaction protected, do not synchronously flush the log when the transaction commits.

#### Return Value

The next available element in the sequence.

# See Also

Sequence Class
Get Overload
BerkeleyDB Namespace